# $Revision: 1.14 $, $Date: 2006/07/25 20:01:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Alzabo
Summary:	Alzabo - a data modelling tool and RDBMS-OO mapper
Summary(pl):	Alzabo - narzdzie do modelowania danych i mapper RDBMS-OO
Name:		perl-Alzabo
Version:	0.8901
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	51cb50f7af3a2719afa827106b4bcb1a
URL:		http://search.cpan.org/dist/Alzabo/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Factory-Util >= 1.3
BuildRequires:	perl-DBI >= 1.25
BuildRequires:	perl-Exception-Class >= 0.97
BuildRequires:	perl-Params-Validate >= 0.58
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Tie-IxHash
# provided by perl-modules
#BuildRequires:	perl-Storable >= 0.7
#BuildRequires:	perl-Test-Harness >= 1.26
#BuildRequires:	perl-Test-Simple >= 0.47
#BuildRequires:	perl-Time-HiRes
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(DBD::mysql)' 'perl(DBD::Pg)'
# FIXME: is this a proper directory?
%define		alzabo_root_dir	%{_datadir}/alzabo

%description
Alzabo is a two-fold program. Its first function is as a data
modelling tool. Through either a schema creation interface or a custom
Perl program, you can create a set of schema, table, column, etc.
objects that represent your data model. Alzabo is also capable of
reverse engineering an existing data model.

Its second function is as a RDBMS to object mapping system. Once you
have created a schema, you can use the Alzabo::Runtime::Table and
Alzabo::Runtime::Row classes to access its data. These classes offer a
high level interface to common operations such as SQL SELECT, INSERT,
DELETE, and UPDATE commands.

To take it a step further, you could then aggregate a set of rows from
different tables into a larger container object which could understand
the logical relationship between these tables. The Alzabo::MethodMaker
module can be very helpful in this regard.

%description -l pl
Alzabo to program do dwch rzeczy. Pierwsz funkcj jest narzdzie do
modelowania danych. Poprzez interfejs do tworzenia schematu lub wasny
program w Perlu mona tworzy zbir obiektw schematw, tabel, kolumn
itp. reprezentujcych model danych. Alzabo potrafi take wykonywa
reverse engineering istniejcego modelu danych.

Druga funkcja to system mapowania RDBMS na obiekty. Po stworzeniu
schematu mona uy klas Alzabo::Runtime::Table i Alzabo::Runtime::Row
do dostpu do danych. Te klasy oferuj wysokopoziomowy interfejs do
takich operacji SQL jak SELECT, INSERT, DELETE czy UPDATE.

Co wicej, mona wtedy gromadzi zbir wierszy z rnych tabel w
wikszy obiekt kontenerowy, ktry moe rozumie logiczne relacje
pomidzy tabelami. Modu Alzabo::MethodMaker moe by w tym bardzo
pomocny.

%prep
%setup -q -n %{pdir}-%{version}

cat >pld_config <<'EOF'
s!"'CONFIG'"!(
	root_dir	=> '%{alzabo_root_dir}/',
	mason_web_dir	=> undef,
	mason_extension	=> undef,
)!;
EOF

%build
%{__perl} -pw pld_config < inc/Alzabo/Config.pm.tmpl > lib/Alzabo/Config.pm
%{__perl} Build.PL \
	--dist \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{alzabo_root_dir}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation.spec
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Alzabo/*.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Alzabo/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Alzabo
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%{alzabo_root_dir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Alzabo.spec,v $
Revision 1.14  2006/07/25 20:01:10  qboosh
- updated md5

Revision 1.13  2006/07/25 19:19:21  glen
- 0.8901, add generic URL

Revision 1.12  2006/02/15 22:21:37  glen
- up to 0.87

Revision 1.11  2005/01/07 12:13:27  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.10  2005/01/03 19:39:46  adamg
- updated to 0.86

Revision 1.9  2004/11/03 13:21:17  paladine
- spaces->tabs
- formatting

Revision 1.8  2004/11/02 10:46:06  adamg
- get rid of pod documentation
- release 2

Revision 1.7  2004/11/01 18:38:07  adamg
- updated to 0.85

Revision 1.6  2004/09/07 15:00:43  adamg
- updated to 0.84

Revision 1.5  2004/06/10 17:02:21  adamg
- updated to 0.83

Revision 1.4  2004/06/04 10:46:27  ankry
- commented out unnecessary BRs

Revision 1.3  2004/06/03 17:44:57  qboosh
- BR: perl with vendordirs support

Revision 1.2  2004/06/03 17:41:40  qboosh
- pl, cosmetics

Revision 1.1  2004/06/03 13:33:49  radek
- new
